
#include <msp430g2553.h>
#include "delay.h"
#include "ds3231.h"

unsigned short int current_time[] = {0, 0, 0, 0, 0, 0, 0};
const unsigned char time_mask[] = {0x7F,0x7F,0x3F,0x7,0x3F,0x1F,0xFF}; //{seconds, minutes, hours, day, date, month, year}
unsigned char time[] = {0,0,0,0,0,0,0};

void main(void) {
	unsigned int i;
	WDTCTL = WDTPW | WDTHOLD;				// Stop watchdog timer

	P2DIR |= (BIT3|BIT4|BIT5);
	BCSCTL1 = CALBC1_8MHZ;
	DCOCTL = CALDCO_8MHZ;

	//delay_ms(2000);
	__enable_interrupt();
	//DS3231_set_init_time();
	while(1) {
		DS3231_read_time(time);
		for(i = 0; i < DS3231_TIME_LENGTH; i++){
			current_time[i] = bcd2bin(time[i] & time_mask[i]);
		}
		if( ((current_time[4]%2) == 1) && (current_time[2] == 20) && (current_time[1] == 10) && (current_time[0] > 0) && (current_time[0] < 30)){
			P2OUT |= BIT5;
			P2OUT |= BIT3;
		}else{
			P2OUT &= ~BIT5;
			P2OUT &= ~BIT3;
		}

		if((current_time[0]%5) == 0)
			P2OUT |= BIT4;
		else
			P2OUT &= ~BIT4;
		delay_ms(1000);

	}
}


